Subject: Re: bug#20625: 25.0.50; doc of `define-error` is incorrect

From: Eli Zaretskii <[email-masked]>
Date: Sat, 23 May 2015 13:17:14 +0300

> Date: Thu, 21 May 2015 14:04:31 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> 
> >From `C-h f':
> 
>  (define-error NAME MESSAGE &optional PARENT)
> 
>  Define NAME as a new error signal.
>  MESSAGE is a string that will be output to the echo area if such an error
>  is signaled without being caught by a `condition-case'.
>  PARENT is either a signal or a list of signals from which it inherits.
>  Defaults to `error'.
> 
> No, MESSAGE is not necessarily a string. It is a required argument, but
> the code explicitly makes use of the case where it is nil.  And existing
> code delivered with Emacs (e.g. bookmark.el) makes use of a nil MESSAGE.
> That case should be documented.

AFAICS, users of this property will yield strange messages if MESSAGE
is nil.  So shouldn't we at least advise that it's a string?

Also, what exactly is the purpose of bookmark.el's using nil there?